#!/usr/bin/ksh

USAGE="USAGE: bibcat_browse_role.ksh"

if (( $# !=0 ))
then
  print $USAGE
  exit 1
fi

cat <<EOL

/**************************************************
 This script creates the DDL to grant select
 permissions to the tables in ddl_final_tables
 **************************************************/

use master
go
create role bibcat_browse_role
go

/* axafapstat */
use axafapstat
go

grant select on bibcodes to bibcat_browse_role
go
grant select on bibcodes_main to bibcat_browse_role
go
grant select on bib_def to bibcat_browse_role
go
grant select on pub_url to bibcat_browse_role
go
grant select on bib2set to bibcat_browse_role
go
grant select on datasets to bibcat_browse_role
go
grant select on set2obsid to bibcat_browse_role
go
grant select on bib2keyword to bibcat_browse_role
go
grant select on std_keywords to bibcat_browse_role
go
grant select on stdkwd_links to bibcat_browse_role
go
grant select on std_categories to bibcat_browse_role
go
grant select on bibstats to bibcat_browse_role
go
EOL
