#!/usr/bin/ksh

USAGE="USAGE: bibcat_perm.ksh user"

if (( $# !=1 ))
then
  print $USAGE
  exit 1
fi

user=$1

cat <<EOL

/***************************************************
 This script creates the DDL to give user the
 bibcat role
 ***************************************************/

grant role bibcat_role to $user
go
sp_modifylogin $user, "add default role", bibcat_role
go

use axafapstat
go
sp_adduser $user
go
use axafocat
go
sp_adduser $user
go
use axafusers
go
sp_adduser $user
go

EOL
